List payment methods
curl --request GET \
--url https://api.moonpay.com/platform/v1/payment-methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.moonpay.com/platform/v1/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonpay.com/platform/v1/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moonpay.com/platform/v1/payment-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.moonpay.com/platform/v1/payment-methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.moonpay.com/platform/v1/payment-methods")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moonpay.com/platform/v1/payment-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"paymentMethodConfigs": [
{
"type": "apple_pay",
"capabilities": {
"supportedCurrencies": [
"USD"
],
"supportedTransactionTypes": [
"buy"
],
"allowsDeletion": false,
"requiresWidget": false
},
"availability": {
"active": true
}
},
{
"type": "card",
"capabilities": {
"supportedCurrencies": [
"USD",
"EUR",
"GBP"
],
"supportedTransactionTypes": [
"buy"
],
"allowsDeletion": true,
"requiresWidget": false
},
"availability": {
"active": true
}
}
],
"paymentMethods": [
{
"id": "apple_pay_fakeid",
"type": "apple_pay"
},
{
"id": "b1c2d3e4-5678-90ab-cdef-1234567890ab",
"type": "card",
"cardType": "credit",
"brand": "visa",
"last4": "4242",
"expirationMonth": "03",
"expirationYear": "2028",
"availability": {
"active": true
},
"networkToken": {
"status": "active"
}
},
{
"id": "a9b8c7d6-5432-10fe-dcba-0987654321fe",
"type": "card",
"cardType": "debit",
"brand": "mastercard",
"last4": "8910",
"expirationMonth": "01",
"expirationYear": "2024",
"availability": {
"active": false,
"reasons": [
"card_expired"
]
},
"networkToken": {
"status": "unavailable"
}
}
]
}
}{
"code": "forbidden",
"message": "Forbidden",
"errors": [
{
"field": "source.amount",
"message": "Source amount must be a numeric string. Example \"100\" or \"10.25\"."
}
]
}{
"code": "unauthorized",
"message": "Not authorized"
}{
"code": "forbidden",
"message": "Forbidden"
}{
"code": "unprocessable_entity",
"message": "Could not determine region from IP address"
}Payment Methods
List payment methods
Get available payment method configurations for a user
GET
/
platform
/
v1
/
payment-methods
List payment methods
curl --request GET \
--url https://api.moonpay.com/platform/v1/payment-methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.moonpay.com/platform/v1/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonpay.com/platform/v1/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moonpay.com/platform/v1/payment-methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.moonpay.com/platform/v1/payment-methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.moonpay.com/platform/v1/payment-methods")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moonpay.com/platform/v1/payment-methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"paymentMethodConfigs": [
{
"type": "apple_pay",
"capabilities": {
"supportedCurrencies": [
"USD"
],
"supportedTransactionTypes": [
"buy"
],
"allowsDeletion": false,
"requiresWidget": false
},
"availability": {
"active": true
}
},
{
"type": "card",
"capabilities": {
"supportedCurrencies": [
"USD",
"EUR",
"GBP"
],
"supportedTransactionTypes": [
"buy"
],
"allowsDeletion": true,
"requiresWidget": false
},
"availability": {
"active": true
}
}
],
"paymentMethods": [
{
"id": "apple_pay_fakeid",
"type": "apple_pay"
},
{
"id": "b1c2d3e4-5678-90ab-cdef-1234567890ab",
"type": "card",
"cardType": "credit",
"brand": "visa",
"last4": "4242",
"expirationMonth": "03",
"expirationYear": "2028",
"availability": {
"active": true
},
"networkToken": {
"status": "active"
}
},
{
"id": "a9b8c7d6-5432-10fe-dcba-0987654321fe",
"type": "card",
"cardType": "debit",
"brand": "mastercard",
"last4": "8910",
"expirationMonth": "01",
"expirationYear": "2024",
"availability": {
"active": false,
"reasons": [
"card_expired"
]
},
"networkToken": {
"status": "unavailable"
}
}
]
}
}{
"code": "forbidden",
"message": "Forbidden",
"errors": [
{
"field": "source.amount",
"message": "Source amount must be a numeric string. Example \"100\" or \"10.25\"."
}
]
}{
"code": "unauthorized",
"message": "Not authorized"
}{
"code": "forbidden",
"message": "Forbidden"
}{
"code": "unprocessable_entity",
"message": "Could not determine region from IP address"
}Some Platform API capabilities must be enabled on your account by MoonPay
before you can call them. If this endpoint returns an unexpected
404, see
Capability
enablement.